Bug 42978 - Content-* headers ignored upon PUT
Content-* headers ignored upon PUT
Status: RESOLVED WONTFIX
Product: Apache httpd-2
Classification: Unclassified
Component: mod_dav
2.2.4
Other other
: P2 major (vote)
: ---
Assigned To: Apache HTTPD Bugs Mailing List
: RFC
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2007-07-26 03:30 UTC by Julian Reschke
Modified: 2011-02-12 07:21 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Reschke 2007-07-26 03:30:58 UTC
The following headers in a PUT request should either be evaluated, or lead to a
501 status (see RFC2616, Section 9.6, Paragraph 1, last sentence):

  Content-Range, Content-MD5

In addition, all request headers starting with "Content-" not understood by the
server should cause a 501 status, such as:

  Content-Foobar

This is currently not the case.
Comment 1 Stefan Fritsch 2010-10-24 05:04:47 UTC
fixed in trunk in r1026746
Comment 2 Ruediger Pluem 2011-02-08 06:45:19 UTC
Backported to 2.2.x as r1068310.
Comment 3 Stefan Fritsch 2011-02-12 07:21:26 UTC
The fixes have been reverted both in trunk and 2.2.x.

See http://mail-archives.apache.org/mod_mbox/httpd-dev/201102.mbox/%3C9A5A8B62-ED16-4BD3-97DA-8475026BB81D@gbiv.com%3E